Config

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## chkoba
Class Config

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Frame
                      javax.swing.JFrame
                          chkoba.Config

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

    public class Config

extends javax.swing.JFrame
implements java.awt.event.ActionListener

Classe Config

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JFrame
`javax.swing.JFrame.AccessibleJFrame`

Nested classes/interfaces inherited from class java.awt.Frame
`java.awt.Frame.AccessibleAWTFrame`

Nested classes/interfaces inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`private javax.swing.ButtonGroup` | `bg`
`private javax.swing.JLabel` | `lChangeNom`
`private javax.swing.JLabel` | `lDecoE`
`private javax.swing.JLabel` | `lDecoE1`
`private javax.swing.JLabel` | `lDecoE2`
`private javax.swing.JLabel` | `lDecoE3`
`private javax.swing.JLabel` | `lDecoN`
`private javax.swing.JLabel` | `lDecoO`
`private javax.swing.JLabel` | `lDecoO1`
`private javax.swing.JLabel` | `lDecoO2`
`private javax.swing.JLabel` | `lDecoS`
`private javax.swing.JLabel` | `lDecoS1`
`private javax.swing.JLabel` | `lDecoS2`
`private javax.swing.JLabel` | `lDifficulte`
`private javax.swing.JPanel` | `pBouton`
`private javax.swing.JPanel` | `pChangeNom`
`private javax.swing.JPanel` | `pDecorateur`
`private javax.swing.JPanel` | `pDifficulte`
`private javax.swing.JPanel` | `pDroitAvecBouton`
`private javax.swing.JPanel` | `pDroitSansBouton`
`private javax.swing.JPanel` | `pGauche`
`private javax.swing.JPanel` | `pGaucheRadioButton`
`private javax.swing.JPanel` | `pGaucheTextField`
`private javax.swing.JPanel` | `pGeneral`
`private javax.swing.JPanel` | `pTextField`
`private javax.swing.JButton` | `quitter`
`private javax.swing.JRadioButton` | `rDifficile`
`private javax.swing.JButton` | `reinitialiser`
`private javax.swing.JRadioButton` | `rFacile`
`private javax.swing.JRadioButton` | `rMoyen`
`private javax.swing.JButton` | `sauvegarder`
`private javax.swing.JTextField` | `tJoueur1`
`private javax.swing.JTextField` | `tJoueur2`
`private javax.swing.JTextField` | `tJoueur3`
`private javax.swing.JTextField` | `tJoueur4`

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`Config(Index i)` Constructeur permettant la creation de la fenetre de configuration

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`void` | `rechercheConfig()` On va aller rechercher de la meme facon que dans Affichage.java la configuration sauvegardee precedemment Ceci au moyen de la lecture dans un fichier, different, appele config.txt sauf que la on va aller chercher plusieurs choses et que ce sont des string pour la plupart

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

Methods inherited from class java.awt.Frame
`addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setVisible, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### pDecorateur

    private javax.swing.JPanel pDecorateur

### pGeneral

    private javax.swing.JPanel pGeneral

### pGauche

    private javax.swing.JPanel pGauche

### pDroitAvecBouton

    private javax.swing.JPanel pDroitAvecBouton

### pDroitSansBouton

    private javax.swing.JPanel pDroitSansBouton

### pBouton

    private javax.swing.JPanel pBouton

### pGaucheTextField

    private javax.swing.JPanel pGaucheTextField

### pTextField

    private javax.swing.JPanel pTextField

### pGaucheRadioButton

    private javax.swing.JPanel pGaucheRadioButton

### pDifficulte

    private javax.swing.JPanel pDifficulte

### pChangeNom

    private javax.swing.JPanel pChangeNom

### tJoueur1

    private javax.swing.JTextField tJoueur1

### tJoueur2

    private javax.swing.JTextField tJoueur2

### tJoueur3

    private javax.swing.JTextField tJoueur3

### tJoueur4

    private javax.swing.JTextField tJoueur4

### rFacile

    private javax.swing.JRadioButton rFacile

### rMoyen

    private javax.swing.JRadioButton rMoyen

### rDifficile

    private javax.swing.JRadioButton rDifficile

### bg

    private javax.swing.ButtonGroup bg

### lDifficulte

    private javax.swing.JLabel lDifficulte

### lDecoN

    private javax.swing.JLabel lDecoN

### lDecoS

    private javax.swing.JLabel lDecoS

### lDecoO

    private javax.swing.JLabel lDecoO

### lDecoE

    private javax.swing.JLabel lDecoE

### lDecoE1

    private javax.swing.JLabel lDecoE1

### lDecoS1

    private javax.swing.JLabel lDecoS1

### lDecoO1

    private javax.swing.JLabel lDecoO1

### lDecoE2

    private javax.swing.JLabel lDecoE2

### lChangeNom

    private javax.swing.JLabel lChangeNom

### lDecoS2

    private javax.swing.JLabel lDecoS2

### lDecoO2

    private javax.swing.JLabel lDecoO2

### lDecoE3

    private javax.swing.JLabel lDecoE3

### sauvegarder

    private javax.swing.JButton sauvegarder

### reinitialiser

    private javax.swing.JButton reinitialiser

### quitter

    private javax.swing.JButton quitter

Constructor Detail

### Config

    public Config(Index i)

  Constructeur permettant la creation de la fenetre de configuration

  Parameters:
    `i` - Index

Method Detail

### rechercheConfig

    public void rechercheConfig()

  On va aller rechercher de la meme facon que dans Affichage.java la configuration sauvegardee precedemment Ceci au moyen de la lecture dans un fichier, different, appele config.txt sauf que la on va aller chercher plusieurs choses et que ce sont des string pour la plupart

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD